package net.wanji.opt.service.signalcontrol;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.bo.CrossIdBO;
import net.wanji.databus.dto.CrossIdDateTimeDTO;
import net.wanji.databus.vo.ControlCommandVO;
import net.wanji.databus.vo.SchemeOptSendVO;

/**
 * @author duanruiming
 * @date 2023/03/01 20:59
 */
public interface FeignProxyService {
    JsonViewObject schemeOptSend(SchemeOptSendVO schemeOptSendVO) throws Exception;
    JsonViewObject schemeOptRestore(String crossId) throws Exception;

    /** 增加路口红闪，黄闪，步进，相位锁定服务 20250315 /
     *
     * @param vo
     * @return
     * @throws Exception
     */
    JsonViewObject allRedControl(ControlCommandVO vo) throws Exception;

    JsonViewObject yellowLightControl(ControlCommandVO vo) throws Exception;

    JsonViewObject stepControl(String crossId, Integer command, Integer stepNum) throws Exception;

    JsonViewObject lockControl(ControlCommandVO vo) throws Exception;

    JsonViewObject recoverSchedule(CrossIdBO crossIdBO) throws Exception;
    JsonViewObject lightStatusOneHist(CrossIdDateTimeDTO crossIdDateTimeDTO) throws Exception;
}
